/**********************************************************************
 *
 * ptmxdocaction.h -- 
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * Copyright (C) 2002  Stefan Boddie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *********************************************************************/


#ifndef PTMXDOCACTION_H
#define PTMXDOCACTION_H

#include "documentaction.h"

class ptmxdocaction : public documentaction {

protected:

public:
  ptmxdocaction ();
  virtual ~ptmxdocaction ();

  virtual void define_internal_macros (displayclass &disp, cgiargsclass &args, 
				       recptprotolistclass *protos, ostream &logout);

  virtual void output_document (const text_t &OID, cgiargsclass &args, 
				recptproto *collectproto, displayclass &disp, 
				outconvertclass &outconvert, ostream &textout, 
				ostream &logout);

};

#endif


